//*----------------------------------------------------------------------------
// WS2812 MIOT TINY10
//*----------------------------------------------------------------------------
#include <util/delay.h>
#include <avr/io.h>
#include "light_ws2812.h"
//*----------------------------------------------------------------------------
struct CRGB { uint8_t g; uint8_t r; uint8_t b; };
struct CRGB led[3];

#define sled(nn,rr,gg,bb) 	led[nn].r=rr;led[nn].g=gg;led[nn].b=bb;
//*----------------------------------------------------------------------------
static void LED_Send(int delay)
{
  ws2812_sendarray_mask((uint8_t *)&led[0], 9, _BV(ws2812_pin));
	while(delay--) {_delay_ms(1); }
}
//*----------------------------------------------------------------------------
int main(void)
{
  CCP    = 0xD8;		// configuration change protection, write signature
	CLKPSR = 0;		    // set cpu clock prescaler =1 (8Mhz) (attiny 4/5/9/10)
	DDRB  |= _BV(PB2);
	
	
	while(1) {
	  sled(0,32, 0, 0);
	  sled(1, 0,32, 0);
	  sled(2, 0, 0,32);
		LED_Send(100);
	  sled(0, 0,32, 0);
	  sled(1, 0, 0,32);
	  sled(2,32, 0, 0);
		LED_Send(100);
	  sled(0, 0, 0,32);
	  sled(1,32, 0, 0);
	  sled(2, 0,32, 0);
		LED_Send(100);
  }
}
//*----------------------------------------------------------------------------
